<?php
/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 * Description of oci8DAO
 *
 * @author guillermo
 */
class oci8DAO{



   protected static function formatFieldSelect($type,$field) {

            switch ($type){

                case "date":
                    $_ret = " TO_CHAR($field, '".DbConfig::getDateFormat()."') as $field,";
                    break;
                default:
                    $_ret = " $field,";
            }

        return $_ret;
    }

    protected static function formatFieldInsert($type,$field) {

            switch ($type){

                case "date":
                    $_ret = " TO_CHAR($field, '".DbConfig::getDateFormat()."') as $field,";
                    break;
                default:
                    $_ret = " $field,";
            }

        return $_ret;
    }

    public function setValueByType(&$obj, $key, $value) {
        $method = "set" . ucfirst($key);

        if (method_exists(get_class($obj), $method)) {
            $fieldType = $this->getFieldType($key);

            switch ($fieldType) {
                case "datetime":
                    $obj->$method(DateConversion::DBFormatToDateTime($value));
                    break;
                case "date":
                    $obj->$method(DateConversion::DBFormatToDate($value));
                    break;
                case 'tinyint':
                case 'boolean':
                    $new_value = true;
                    if($value===null or $value==="0" or $value===0)
                        $new_value = false;
                    $obj->$method($new_value);
                    break;
                default :
                    $obj->$method($value);
                    break;
            }
        }
    }

}
?>
